geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Jencks <david_jen...@yahoo.com>
Subject Re: How to upgrade OpenJPA in Geronimo
Date Thu, 19 Feb 2009 17:45:19 GMT

On Feb 19, 2009, at 9:00 AM, CG wrote:

> Hi , the version of OpenJPA that come with Geronimo 2.1.3 is , 1.0.3 .
> Since OpenJPA already release version 1.1 , 1.2 , I would like to
> manually upgrade openJPA in Geronimo to solve some issue cause by
> OpenJPA bugs.
>
> However, I have no idea how to do that. How should I do , to be able
> to upgrade the openJPA in Geronimo with version 1.2 ?
>
> Can I just put the openjpa-1.2.0.jar in
> GERONIMO_HOME/repository/org/apache/openjpa/openjpa/1.2.0/  ?

You'll also need to tell geronimo to use the newer version by  
including a couple lines in var/config/artifact-aliases.properties.   
See http://cwiki.apache.org/GMOxDOC22/aliasing-modules.html

We've had some mildly obscure problems with more recent openJPA  
releases so there's a chance you will be jumping from the frying pan  
into the fire.  We think we've ironed all these out in current openjpa  
code (1.2 branch?) and expect that 2.1.4 will include an up to date  
fully-working version.

thanks
david jencks

>
>
> Thanks.
>
> CG


Mime
View raw message